FFE: python-ceilometerclient 1.0.5

Bug #1232035 reported by Chuck Short on 2013-09-27
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
python-ceilometerclient (Ubuntu)
Undecided
Unassigned

Bug Description

In the upcoming 2013.1 release for ceilometer introduced a new alarm format that allows a combination alarm. Without this feature users using ceilometer would not be able to ceilometer properly. Below is the changes betwen 1.0.3 and 1.0.5

--- old/python-ceilometerclient-1.0.3/ChangeLog 2013-08-12 10:02:38.000000000 -0400
+++ python-ceilometerclient-1.0.5/ChangeLog 2013-09-24 05:22:17.000000000 -0400
@@ -1,3 +1,110 @@
+commit 2610d6c144e0d81cd94a6f18eb899443ce7d64fb
+Merge: 05e4355 5616563
+Author: Jenkins <email address hidden>
+Date: Mon Sep 23 19:21:10 2013 +0000
+
+ Merge "Pass region_name argument to keystone client"
+
+commit 05e435542b5f42899accad1bbe232139e79cfaff
+Merge: 3499631 fb1ff39
+Author: Jenkins <email address hidden>
+Date: Mon Sep 23 17:02:55 2013 +0000
+
+ Merge "Replace OpenStack LLC with OpenStack Foundation"
+
+commit 3499631b1a32b2125bd89de2e7ce45d9dd19a7c4
+Author: Mehdi Abaakouk <email address hidden>
+Date: Sun Sep 15 22:26:04 2013 +0200
+
+ Use the new alarm format
+
+ The change sync the client API with the new alarm type and keep
+ compatibility with the previous format of the alarm.
+
+ It allows to create the new type of alarm: combination alarm.
+
+ Implements blueprint alarming-logical-combination
+
+ Change-Id: Ie62265023cadc20cf36a0d0b3775f4d984e324cf
+
+commit fb1ff39d53826b94c3c04645d972a0a96dc8225a
+Author: ZhiQiang Fan <email address hidden>
+Date: Fri Sep 20 03:14:11 2013 +0800
+
+ Replace OpenStack LLC with OpenStack Foundation
+
+ Change-Id: Ia007da282714d8ee7337fd3b51f6dcc3b64d7ec3
+ Fixes-Bug: #1214176
+
+commit 56165637f84681f18f81d1e6afbcd8957c097f22
+Author: Bartosz Górski <email address hidden>
+Date: Tue Sep 17 18:48:41 2013 -0700
+
+ Pass region_name argument to keystone client
+
+ Change-Id: If82bd7fe5680faef6e56abb6f76d203b7296beb5
+ Closes-Bug: #1228063
+
+commit 052f210f56a4b13f19b246f10f18bf071e48e161
+Author: Bartosz Górski <email address hidden>
+Date: Thu Sep 12 16:34:03 2013 -0700
+
+ Adding missing 'statistic' field to alarm-show
+
+ Closes-Bug: #1225049
+
+ Adding missing 'statistic field to printed table with alarm details
+
+ Change-Id: I69a743bfa340d4e1193f58c84195db398cbdf02b
+
+commit fd9eb2e2375953ef136329ab8a6bf40345097b58
+Author: Lianhao Lu <email address hidden>
+Date: Fri Sep 13 11:26:36 2013 +0800
+
+ Use global openstack requirements
+
+ Update global openstack requirements.
+
+ Change-Id: Idf561ce746c86c775855d00cb3436feaf9f65cba
+
+commit b58d4ef76ce1ae85dfe89d35e3144641b92c8e67
+Merge: c3f2459 6fdd645
+Author: Jenkins <email address hidden>
+Date: Wed Sep 11 22:54:18 2013 +0000
+
+ Merge "alarm: rename counter_name to meter_name"
+
+commit c3f2459043a8a9ff9a9ed6897228a291a86f43c6
+Author: Cyril Roelandt <email address hidden>
+Date: Mon Sep 9 15:31:17 2013 +0000
+
+ Fix a typo in "sample-create" help message
+
+ The word "alarm" is used twice instead of "sample".
+
+ Change-Id: I9a3ce514f3a3766add14ed1b352e31bf003f1cee
+
+commit 3569e6586167f18682acc5843e4d5143355ac2ba
+Author: Alex Gaynor <email address hidden>
+Date: Thu Sep 5 09:57:46 2013 -0700
+
+ Added support for running the tests under PyPy with tox
+
+ This is a precursor to having them run under check and gate.
+
+ Change-Id: I42ed34362bb840fe3a6d1d22e28beba8963fdb85
+
+commit 6fdd6454b3044288d334489430b515035c65fa53
+Author: Julien Danjou <email address hidden>
+Date: Wed Sep 4 17:45:21 2013 +0200
+
+ alarm: rename counter_name to meter_name
+
+ This is a follow-up wrt the recent fix that handled in Ceilometer for
+ the alarming API.
+
+ Change-Id: Ide73a2e703bf31652b819c6d5170891c73b77ec9
+
 commit 9e330726ce6409088f7cbf50f4c76622c2f1732f
 Merge: 9e8a989 e8bf783
 Author: Jenkins <email address hidden>

Adam Conrad (adconrad) wrote :

Looks good, approved.

Changed in python-ceilometerclient (Ubuntu):
status: New → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package python-ceilometerclient - 1.0.5-0ubuntu1

---------------
python-ceilometerclient (1.0.5-0ubuntu1) saucy; urgency=low

  * New upstream release (LP: #1232035).
  * debian/control:
    - Dropped python-setuptools-git as a build dependency.
    - Added versioned dependencies for python-prettytable, python-pbr,
      python-keystoneclient, python-fixtures, testrepository,
      and python-testtools,
 -- Chuck Short <email address hidden> Thu, 26 Sep 2013 15:02:33 -0400

Changed in python-ceilometerclient (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers